- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgGA::SetSceneViewVisitor Class Reference

SetSceneViewGUIEventHandlerVisitor which visits various types of GUIEventHandler and sets them up appropriately, given a new scene view. More...

Inheritance diagram for osgGA::SetSceneViewVisitor:

[legend]
List of all members.

## Public Member Functions
| SetSceneViewVisitor (GUIEventAdapter *in, GUIActionAdapter *out, osgUtil::SceneView *sv)
virtual | ~SetSceneViewVisitor ()
virtual void | visit (MatrixManipulator &cm)
virtual void | visit (StateSetManipulator &cm)

## Detailed Description

SetSceneViewGUIEventHandlerVisitor which visits various types of GUIEventHandler and sets them up appropriately, given a new scene view.

## Constructor & Destructor Documentation

osgGA::SetSceneViewVisitor::SetSceneViewVisitor | ( | GUIEventAdapter * | in,
|  | GUIActionAdapter * | out,
|  | osgUtil::SceneView * | sv
| ) | `[inline]`

virtual osgGA::SetSceneViewVisitor::~SetSceneViewVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void osgGA::SetSceneViewVisitor::visit | ( | StateSetManipulator & | cm | ) | `[virtual]`

| Reimplemented from osgGA::GUIEventHandlerVisitor.

void osgGA::SetSceneViewVisitor::visit | ( | MatrixManipulator & | cm | ) | `[virtual]`

| Reimplemented from osgGA::GUIEventHandlerVisitor.

The documentation for this class was generated from the following files:

- SetSceneViewVisitor
- SetSceneViewVisitor.cpp